document.addEventListener('DOMContentLoaded', function () {
    chrome.storage.sync.get(['customUrl'], function (result) {
      if (result.customUrl) {
        document.getElementById('customUrl').value = result.customUrl;
      }
    });

    document.getElementById('saveButton').addEventListener('click', function () {
      var customUrl = document.getElementById('customUrl').value;
      if (!customUrl.startsWith('http://') && !customUrl.startsWith('https://')) {
        customUrl = 'https://' + customUrl;
      }
      chrome.storage.sync.set({ 'customUrl': customUrl }, function () {
        console.log('Custom URL saved: ' + customUrl);
      });
    });
  });
  